Skip to main content
GET
/
api
/
v1
/
customer
/
offerings
/
trips
/
{tripId}
/
trip-itineraries
/
{tripItineraryId}
Get Offering
curl --request GET \
  --url https://api.example.com/api/v1/customer/offerings/trips/{tripId}/trip-itineraries/{tripItineraryId}
{
  "tripItineraryId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
  "tripId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b",
  "fromStopId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
  "toStopId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3d",
  "price": 15000,
  "fromStop": {
    "tripStopId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
    "tripId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b",
    "pointId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
    "stopOrder": 1,
    "point": {
      "pointId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
      "name": "São Paulo",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "description": "Terminal Rodoviário Tietê",
      "lat": -23.5155,
      "lng": -46.6254
    },
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "arrivalAt": "2026-04-15T10:00:00.000Z",
    "departureAt": "2026-04-15T10:15:00.000Z"
  },
  "toStop": {
    "tripStopId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
    "tripId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b",
    "pointId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
    "stopOrder": 1,
    "point": {
      "pointId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
      "name": "São Paulo",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "description": "Terminal Rodoviário Tietê",
      "lat": -23.5155,
      "lng": -46.6254
    },
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "arrivalAt": "2026-04-15T10:00:00.000Z",
    "departureAt": "2026-04-15T10:15:00.000Z"
  },
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "availableSeats": 12,
  "availableSeatsStatus": "AVAILABLE",
  "trip": {
    "tripId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
    "companyId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b",
    "routeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
    "vehicleId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3d",
    "driverId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3e",
    "status": "SCHEDULED",
    "events": [
      {
        "tripEventId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
        "tripId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b",
        "type": "DEPARTURE_DELAYED",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "tripStopId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
        "description": "Departure delayed by 15 minutes due to traffic",
        "metadata": {}
      }
    ],
    "departureAt": "2026-04-15T08:00:00.000Z",
    "estimatedArrivalAt": "2026-04-15T14:00:00.000Z",
    "stops": [
      {
        "tripStopId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
        "tripId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b",
        "pointId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
        "stopOrder": 1,
        "point": {
          "pointId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
          "name": "São Paulo",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "description": "Terminal Rodoviário Tietê",
          "lat": -23.5155,
          "lng": -46.6254
        },
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "arrivalAt": "2026-04-15T10:00:00.000Z",
        "departureAt": "2026-04-15T10:15:00.000Z"
      }
    ],
    "itineraries": [
      {
        "tripItineraryId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
        "tripId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b",
        "fromStopId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
        "toStopId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3d",
        "price": 15000,
        "fromStop": {
          "tripStopId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
          "tripId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b",
          "pointId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
          "stopOrder": 1,
          "point": {
            "pointId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
            "name": "São Paulo",
            "createdAt": "2026-01-01T00:00:00.000Z",
            "updatedAt": "2026-01-01T00:00:00.000Z",
            "description": "Terminal Rodoviário Tietê",
            "lat": -23.5155,
            "lng": -46.6254
          },
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "arrivalAt": "2026-04-15T10:00:00.000Z",
          "departureAt": "2026-04-15T10:15:00.000Z"
        },
        "toStop": {
          "tripStopId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
          "tripId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b",
          "pointId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
          "stopOrder": 1,
          "point": {
            "pointId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
            "name": "São Paulo",
            "createdAt": "2026-01-01T00:00:00.000Z",
            "updatedAt": "2026-01-01T00:00:00.000Z",
            "description": "Terminal Rodoviário Tietê",
            "lat": -23.5155,
            "lng": -46.6254
          },
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "arrivalAt": "2026-04-15T10:00:00.000Z",
          "departureAt": "2026-04-15T10:15:00.000Z"
        },
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-01T00:00:00.000Z"
      }
    ],
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z"
  }
}

Path Parameters

tripId
string<uuid>
required

Trip identifier

Example:

"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b"

tripItineraryId
string<uuid>
required

Trip itinerary identifier

Example:

"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a"

Query Parameters

fields
string

Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.

Response

OK

Trip itinerary offering

tripItineraryId
string<uuid>
required

Trip itinerary identifier

Example:

"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a"

tripId
string<uuid>
required

Trip identifier

Example:

"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b"

fromStopId
string<uuid>
required

Origin stop identifier

Example:

"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c"

toStopId
string<uuid>
required

Destination stop identifier

Example:

"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3d"

price
integer
required

Price in centavos

Example:

15000

fromStop
object
required

Origin stop

toStop
object
required

Destination stop

createdAt
string<date-time>
required

Created at

Example:

"2026-01-01T00:00:00.000Z"

updatedAt
string<date-time>
required

Updated at

Example:

"2026-01-01T00:00:00.000Z"

availableSeats
integer
required

Seats available for this itinerary

Example:

12

availableSeatsStatus
enum<string>
required

Seat availability tier

Available options:
AVAILABLE,
LIMITED,
SOLD_OUT
Example:

"AVAILABLE"

trip
object
required

Trip